<?php


function check_php_components()
{
	if (!function_exists("ssh2_connect"))
		throw new Mirror_Boot_Exception("ssh2 support");

	if (!function_exists("simplexml_load_string"))
		throw new Mirror_Boot_Exception("XML support");

	if (!class_exists("DOMDocument"))
		throw new Mirror_Boot_Exception("DOM XML support. Please install php xml module.");

	if (ini_get('safe_mode'))
		throw new Mirror_Boot_Exception("Safe Mode enabled. Please turn it off.");

	return true;
}
